<template lang="pug">
DBCollapsible.x-triggers-list(:prefetch='false' title='Triggers'
                              source='triggers' parentType='runs'
                              :parentItem='{ runNumber: runNumber }'
                              :query='{ sort: "triggerNumber:desc" }' )
  template(v-slot:default='db')
    table.table.table-sm.table-hover.table-responsive-md.shadow.border
      thead.bg-light.table-head
        tr.text-center
          th Trigger Number
          th Source
          th CycleStamp
          th Intensity
      tbody
        tr(v-for='tr in db.rows').text-center
          td {{ tr.triggerNumber }}
          td {{ tr.source }}
          td {{ tr.cycleStamp | dateTime("yyyy-LL-dd HH:mm:ss.SSS") }}
          td {{ tr.intensity | b-bigNumber}}
</template>
<script src='./TriggersList.vue.js' />
